Eclipse Platform Release 3.7

## org.eclipse.update.configuration
Interface IInstallConfigurationChangedListener

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IInstallConfigurationChangedListener

Configuration change listener.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0

Method Summary
`void` `installSiteAdded(IConfiguredSite site)` Deprecated. Indicates the specified site was added to the configuration
`void` `installSiteRemoved(IConfiguredSite site)` Deprecated. Indicates the specified site was removed from the configuration

Method Detail

### installSiteAdded

    void installSiteAdded(IConfiguredSite site)

  Deprecated.
  Indicates the specified site was added to the configuration

  Parameters:
    `site` - the site
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### installSiteRemoved

    void installSiteRemoved(IConfiguredSite site)

  Deprecated.
  Indicates the specified site was removed from the configuration

  Parameters:
    `site` - the site
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.